org.apache.xmpbox.type

## Class ColorantType

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.type.ColorantType

    public class ColorantType
    extends AbstractStructuredType

### Field Summary

Fields
`static String` `A`
`static String` `B`
`static String` `BLACK`
`static String` `BLUE`
`static String` `CYAN`
`static String` `GREEN`
`static String` `L`
`static String` `MAGENTA`
`static String` `MODE`
`static String` `RED`
`static String` `SWATCH_NAME`
`static String` `TYPE`
`static String` `YELLOW`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`ColorantType(XMPMetadata metadata)`

### Method Summary

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### A

    public static final String A

See Also:
  Constant Field Values

#### B

    public static final String B

See Also:
  Constant Field Values

#### L

    public static final String L

See Also:
  Constant Field Values

#### BLACK

    public static final String BLACK

See Also:
  Constant Field Values

#### CYAN

    public static final String CYAN

See Also:
  Constant Field Values

#### MAGENTA

    public static final String MAGENTA

See Also:
  Constant Field Values

#### YELLOW

    public static final String YELLOW

See Also:
  Constant Field Values

#### BLUE

    public static final String BLUE

See Also:
  Constant Field Values

#### GREEN

    public static final String GREEN

See Also:
  Constant Field Values

#### RED

    public static final String RED

See Also:
  Constant Field Values

#### MODE

    public static final String MODE

See Also:
  Constant Field Values

#### SWATCH_NAME

    public static final String SWATCH_NAME

See Also:
  Constant Field Values

#### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

### Constructor Detail

#### ColorantType

    public ColorantType(XMPMetadata metadata)